// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * MISSING DOCUMENTATION!!!
 * </pre>
 *
 * Protobuf type {@code commonmodule.OperationDFPF}
 */
public final class OperationDFPF extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.OperationDFPF)
    OperationDFPFOrBuilder {
private static final long serialVersionUID = 0L;
  // Use OperationDFPF.newBuilder() to construct.
  private OperationDFPF(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private OperationDFPF() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new OperationDFPF();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDFPF_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDFPF_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.OperationDFPF.class, openfmb.commonmodule.OperationDFPF.Builder.class);
  }

  public static final int MODENA_FIELD_NUMBER = 1;
  private boolean modEna_ = false;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The modEna.
   */
  @java.lang.Override
  public boolean getModEna() {
    return modEna_;
  }

  public static final int PFEXTSET_FIELD_NUMBER = 2;
  private boolean pFExtSet_ = false;
  /**
   * <pre>
   * Constant power factor excitation setting  PFExtSet: PFExtSet set to true = overexcited; PFExtSet
   * set to false = underexcited
   * </pre>
   *
   * <code>bool pFExtSet = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The pFExtSet.
   */
  @java.lang.Override
  public boolean getPFExtSet() {
    return pFExtSet_;
  }

  public static final int PFGNTGTMXVAL_FIELD_NUMBER = 3;
  private float pFGnTgtMxVal_ = 0F;
  /**
   * <pre>
   * Applies when generating.  Target power factor setting when generating.  The power factor target
   * is a number between -1 and 1, and is used in conjunction with PFExtSet to indicate whether it to
   * make it over or under excited.
   * </pre>
   *
   * <code>float pFGnTgtMxVal = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The pFGnTgtMxVal.
   */
  @java.lang.Override
  public float getPFGnTgtMxVal() {
    return pFGnTgtMxVal_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (modEna_ != false) {
      output.writeBool(1, modEna_);
    }
    if (pFExtSet_ != false) {
      output.writeBool(2, pFExtSet_);
    }
    if (java.lang.Float.floatToRawIntBits(pFGnTgtMxVal_) != 0) {
      output.writeFloat(3, pFGnTgtMxVal_);
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (modEna_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(1, modEna_);
    }
    if (pFExtSet_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(2, pFExtSet_);
    }
    if (java.lang.Float.floatToRawIntBits(pFGnTgtMxVal_) != 0) {
      size += com.google.protobuf.CodedOutputStream
        .computeFloatSize(3, pFGnTgtMxVal_);
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.OperationDFPF)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.OperationDFPF other = (openfmb.commonmodule.OperationDFPF) obj;

    if (getModEna()
        != other.getModEna()) return false;
    if (getPFExtSet()
        != other.getPFExtSet()) return false;
    if (java.lang.Float.floatToIntBits(getPFGnTgtMxVal())
        != java.lang.Float.floatToIntBits(
            other.getPFGnTgtMxVal())) return false;
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + MODENA_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
        getModEna());
    hash = (37 * hash) + PFEXTSET_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
        getPFExtSet());
    hash = (37 * hash) + PFGNTGTMXVAL_FIELD_NUMBER;
    hash = (53 * hash) + java.lang.Float.floatToIntBits(
        getPFGnTgtMxVal());
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.OperationDFPF parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDFPF parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDFPF parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDFPF parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.OperationDFPF prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * Protobuf type {@code commonmodule.OperationDFPF}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.OperationDFPF)
      openfmb.commonmodule.OperationDFPFOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDFPF_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDFPF_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.OperationDFPF.class, openfmb.commonmodule.OperationDFPF.Builder.class);
    }

    // Construct using openfmb.commonmodule.OperationDFPF.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      modEna_ = false;
      pFExtSet_ = false;
      pFGnTgtMxVal_ = 0F;
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDFPF_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDFPF getDefaultInstanceForType() {
      return openfmb.commonmodule.OperationDFPF.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDFPF build() {
      openfmb.commonmodule.OperationDFPF result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDFPF buildPartial() {
      openfmb.commonmodule.OperationDFPF result = new openfmb.commonmodule.OperationDFPF(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.OperationDFPF result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.modEna_ = modEna_;
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.pFExtSet_ = pFExtSet_;
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.pFGnTgtMxVal_ = pFGnTgtMxVal_;
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.OperationDFPF) {
        return mergeFrom((openfmb.commonmodule.OperationDFPF)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.OperationDFPF other) {
      if (other == openfmb.commonmodule.OperationDFPF.getDefaultInstance()) return this;
      if (other.getModEna() != false) {
        setModEna(other.getModEna());
      }
      if (other.getPFExtSet() != false) {
        setPFExtSet(other.getPFExtSet());
      }
      if (other.getPFGnTgtMxVal() != 0F) {
        setPFGnTgtMxVal(other.getPFGnTgtMxVal());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              modEna_ = input.readBool();
              bitField0_ |= 0x00000001;
              break;
            } // case 8
            case 16: {
              pFExtSet_ = input.readBool();
              bitField0_ |= 0x00000002;
              break;
            } // case 16
            case 29: {
              pFGnTgtMxVal_ = input.readFloat();
              bitField0_ |= 0x00000004;
              break;
            } // case 29
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private boolean modEna_ ;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The modEna.
     */
    @java.lang.Override
    public boolean getModEna() {
      return modEna_;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The modEna to set.
     * @return This builder for chaining.
     */
    public Builder setModEna(boolean value) {

      modEna_ = value;
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearModEna() {
      bitField0_ = (bitField0_ & ~0x00000001);
      modEna_ = false;
      onChanged();
      return this;
    }

    private boolean pFExtSet_ ;
    /**
     * <pre>
     * Constant power factor excitation setting  PFExtSet: PFExtSet set to true = overexcited; PFExtSet
     * set to false = underexcited
     * </pre>
     *
     * <code>bool pFExtSet = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The pFExtSet.
     */
    @java.lang.Override
    public boolean getPFExtSet() {
      return pFExtSet_;
    }
    /**
     * <pre>
     * Constant power factor excitation setting  PFExtSet: PFExtSet set to true = overexcited; PFExtSet
     * set to false = underexcited
     * </pre>
     *
     * <code>bool pFExtSet = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The pFExtSet to set.
     * @return This builder for chaining.
     */
    public Builder setPFExtSet(boolean value) {

      pFExtSet_ = value;
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Constant power factor excitation setting  PFExtSet: PFExtSet set to true = overexcited; PFExtSet
     * set to false = underexcited
     * </pre>
     *
     * <code>bool pFExtSet = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearPFExtSet() {
      bitField0_ = (bitField0_ & ~0x00000002);
      pFExtSet_ = false;
      onChanged();
      return this;
    }

    private float pFGnTgtMxVal_ ;
    /**
     * <pre>
     * Applies when generating.  Target power factor setting when generating.  The power factor target
     * is a number between -1 and 1, and is used in conjunction with PFExtSet to indicate whether it to
     * make it over or under excited.
     * </pre>
     *
     * <code>float pFGnTgtMxVal = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The pFGnTgtMxVal.
     */
    @java.lang.Override
    public float getPFGnTgtMxVal() {
      return pFGnTgtMxVal_;
    }
    /**
     * <pre>
     * Applies when generating.  Target power factor setting when generating.  The power factor target
     * is a number between -1 and 1, and is used in conjunction with PFExtSet to indicate whether it to
     * make it over or under excited.
     * </pre>
     *
     * <code>float pFGnTgtMxVal = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The pFGnTgtMxVal to set.
     * @return This builder for chaining.
     */
    public Builder setPFGnTgtMxVal(float value) {

      pFGnTgtMxVal_ = value;
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Applies when generating.  Target power factor setting when generating.  The power factor target
     * is a number between -1 and 1, and is used in conjunction with PFExtSet to indicate whether it to
     * make it over or under excited.
     * </pre>
     *
     * <code>float pFGnTgtMxVal = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearPFGnTgtMxVal() {
      bitField0_ = (bitField0_ & ~0x00000004);
      pFGnTgtMxVal_ = 0F;
      onChanged();
      return this;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.OperationDFPF)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.OperationDFPF)
  private static final openfmb.commonmodule.OperationDFPF DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.OperationDFPF();
  }

  public static openfmb.commonmodule.OperationDFPF getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<OperationDFPF>
      PARSER = new com.google.protobuf.AbstractParser<OperationDFPF>() {
    @java.lang.Override
    public OperationDFPF parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<OperationDFPF> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<OperationDFPF> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.OperationDFPF getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

